## org.mariadb.jdbc.internal.util.scheduler
Class FixedSizedSchedulerImpl

    java.lang.Object
      java.util.concurrent.AbstractExecutorService
          java.util.concurrent.ThreadPoolExecutor
              java.util.concurrent.ScheduledThreadPoolExecutor
                  org.mariadb.jdbc.internal.util.scheduler.FixedSizedSchedulerImpl

All Implemented Interfaces:
  Executor, ExecutorService, ScheduledExecutorService

    public class FixedSizedSchedulerImpl

extends ScheduledThreadPoolExecutor

Nested Class Summary

Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor
`ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

Constructor Summary
`FixedSizedSchedulerImpl(int corePoolSize, String poolName)` Create scheduler with fixed size.

Method Summary

Methods inherited from class java.util.concurrent.ScheduledThreadPoolExecutor
`decorateTask, decorateTask, execute, getContinueExistingPeriodicTasksAfterShutdownPolicy, getExecuteExistingDelayedTasksAfterShutdownPolicy, getQueue, remove, schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay, setContinueExistingPeriodicTasksAfterShutdownPolicy, setExecuteExistingDelayedTasksAfterShutdownPolicy, shutdown, shutdownNow, submit, submit, submit`

Methods inherited from class java.util.concurrent.ThreadPoolExecutor

`afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, terminated`

Methods inherited from class java.util.concurrent.AbstractExecutorService
`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.concurrent.ExecutorService
`awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated`

Constructor Detail

### FixedSizedSchedulerImpl

    public FixedSizedSchedulerImpl(int corePoolSize,
                                   String poolName)

  Create scheduler with fixed size.

  Parameters:
    `corePoolSize` - core pool size
    `poolName` - name of pool to identify threads

Copyright © 2017. All rights reserved.